
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Lighttpd1.4.20源码分析之状态机（2）---通过状态机看连接处理1 / iVAN</title>

    <meta name="description" content="Lighttpd1.4.20源码分析之状态机（2）---通过状态机看连接处理1 前面大概的介绍了一下lighttpd的状态机.在这篇中,将通过状态机,看看lighttpd到底是怎样处理 连接请求的. 在本篇中,我们只介绍lighttpd的最基本功能──处理静态页面.lighttpd处理静态页面要使用 mod_staticfile.c插件.从名字中也可以看出是用来处理静态文件的.另外这个插件在配置文件中没有配 置,是lighttpd默认会加载的. 首先还是把状态机放这,以便查阅.">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Lighttpd1.4.20源码分析之状态机（2）---通过状态机看连接处理1</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>前面大概的介绍了一下lighttpd的状态机。在这篇中，将通过状态机，看看lighttpd到底是怎样处理 连接请求的。</p>
<p>在本篇中，我们只介绍lighttpd的最基本功能──处理静态页面。lighttpd处理静态页面要使用 mod_staticfile.c插件。从名字中也可以看出是用来处理静态文件的。另外这个插件在配置文件中没有配 置，是lighttpd默认会加载的。</p>
<p>首先还是把状态机放这，以便查阅。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g0Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMTkxNTRVRjItMC5wbmc=.jpg"></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 09:31:51</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e7%8a%b6%e6%80%81/" title="状态">状态</a>, <a href="https://www.iamivan.net/tag/%e5%a4%84%e7%90%86/" title="处理">处理</a>, <a href="https://www.iamivan.net/tag/%e9%a1%b5%e9%9d%a2/" title="页面">页面</a>, <a href="https://www.iamivan.net/tag/%e6%8f%92%e4%bb%b6/" title="插件">插件</a>, <a href="https://www.iamivan.net/tag/%e9%9d%99%e6%80%81/" title="静态">静态</a>, <a href="https://www.iamivan.net/tag/%e7%8a%b6%e6%80%81%e6%9c%ba/" title="状态机">状态机</a>, <a href="https://www.iamivan.net/tag/lighttpd/" title="lighttpd">lighttpd</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Lighttpd1.4.20源码分析之状态机（2）---通过状态机看连接处理1的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqLYlab.html" rel="bookmark">Lighttpd1&period;4&period;20源码分析之状态机（3）返回response</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				好久没顾这个了,最近比较清闲,重新拾掇一下,有始有终. 回到正题,前一篇介绍完了请求的处理,先面lighttpd将会把处理的结果返回给客户端.状态机进入CON_STATE_RESPONST_START.在这个状态中,服务器主要的工作在函数connection_handle_write_prepare.这个函数不算复杂,主要是根据客户端请求的method来设置response的headers,其实就是设置&quot;Content-Length&quot;的值.下面是函数代码,做了一些删减: 1 stati			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQPvewz.html" rel="bookmark">Lighttpd1&period;4&period;20源码分析之状态机（4） 错误处理和连接关闭</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Lighttpd所要处理的错误分为两种.一种是http协议规定的错误,如404错误.另一种就是服务器运行过程中的错误,如write错误. 对于http协议规定的错误,lighttpd返回相应的错误提示文件.其实对于lighttpd而言,这不算错误.在返回错误提示文件后,相当于顺利的完成了一次请求,只是结果和客户端想要的不一样而已. 对于服务器运行中的错误,状态机会直接进入CON_STATE_ERROR状态.大部分的情况下,这种错误都是由客户端提前断开连接所造成的.比如你不停的刷新页面,在你刷新的			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgKo7ZM.html" rel="bookmark">Lighttpd1&period;4&period;20源码分析之状态机（1）---状态机总览</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前面讲了lighttpd的fdevent系统,从这一篇开始,我们将进入lighttpd的状态机.状态机可以说是lighttpd最核心的部分.lighttpd将一个连接在不同的时刻分成不同的状态,状态机则根据连接当前的状态,决定要对连接进行的处理以及下一步要进入的状态.下面这幅图描述了lighttpd的状态机:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgKL13M.html" rel="bookmark">lighttpd1&period;4&period;20源码分析 -工作模型</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				lighttpd的工作模型很简单──一个主进程加多个工作进程的多进程模型,也就是所谓的watcher-worker模型. 整个程序的入口(main函数)在server.c文件中.在main函数的开始部分必然是处理参数和各种繁杂的初始化工作.其中有两个地方要重点看一起.第一个是下面的语句: 1 if (test_config) //没有进行任何测试... 2 { 3 printf(&quot;Syntax OK\n&quot;); 4 } 这个If语句是为了判断配置文件的语法是否合法.但是,明显,没有进行任			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8j5glb.html" rel="bookmark">php源码分析之DZX1&period;5随机数函数random用法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  本文实例讲述了php源码分析之DZX1.5随机数函数random用法.分享给大家供大家参考.具体如下: ? 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 &lt;?php /** * @param int $length: 随机数长度 * @param int $numeric: 0或非0,其中0表示随机数由全数字组成,非0表示随机数由全字母组成 * @return string: 返回生成的随机数 */ function random($l			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bal8ENz.html" rel="bookmark">php源码分析之DZX1&period;5加密解密函数authcode用法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  本文实例讲述了php源码分析之DZX1.5加密解密函数authcode用法.分享给大家供大家参考.具体分析如下: ? 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 &lt;?php $authkey			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1R89dp.html" rel="bookmark">php源码分析之DZX1&period;5字符串截断函数cutstr用法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  本文实例讲述了php源码分析之DZX1.5字符串截断函数cutstr用法.分享给大家供大家参考.具体分析如下: ? 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 &lt;?php /** * 函数来源DZX1.5,文件所在 /source/function/func			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQNJZoM.html" rel="bookmark">Spring AOP源码分析（八）SpringAOP要注意的地方</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				SpringAOP要注意的地方有很多,下面就举一个,之后想到了再列出来:  (1)SpringAOP对于最外层的函数只拦截public方法,不拦截protected和private方法,另外不会对最外层的public方法内部调用的其他方法也进行拦截,即只停留于代理对象所调用的方法.如下案例:  B类有两个public方法,foo1()和foo2(),foo1内部调用了foo2,简单如下:  ? 1 2 3 4 5 6 7 8 public void foo2() {          Syste			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlBeyOz.html" rel="bookmark">《深入理解SPARK：核心思想与源码分析》（第1章）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				       自己牺牲了7个月的周末和下班空闲时间,通过研究Spark源码和原理,总结整理的&lt;深入理解Spark:核心思想与源码分析&gt;一书现在已经正式出版上市,目前亚马逊.京东.当当.天猫等网站均有销售,欢迎感兴趣的同学购买.我开始研究源码时的Spark版本是1.2.0,经过7个多月的研究和出版社近4个月的流程,Spark自身的版本迭代也很快,如今最新已经是1.6.0.目前市面上另外2本源码研究的Spark书籍的版本分别是0.9.0版本和1.2.0版本,看来这些书的作者都与我一样,遇到了这种问			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9bB51oz.html" rel="bookmark" class="title">ASP开发44条技巧集锦之二</a>
					<div>
						技巧 上一节:ASP开发44条技巧集锦之一 21. 嵌入另一页   &lt;iframe class=&quot;TBGen&quot; style=&quot;top:2px&quot; ID=&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnx6nAb.html" rel="bookmark" class="title">某大型银行深化系统之一：平台技术</a>
					<div>
						一.技术定义 1.Mashup(糅合) 将多种使用公共或者私有数据库的web应用,通过调用内容提供者的API,将信息糅合在一起,形成一个整合应用. 2.WebAPI 以HTTP为基础,在Web架构之上 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7kAgqz.html" rel="bookmark" class="title">C&num;通过ADO&period;NET建表点实现方法</a>
					<div>
						新建表: create table [表名] ( [自动编号字段] int IDENTITY (1,1) PRIMARY KEY , [字段1] nVarChar(50) default '默认值'  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8jaqNb.html" rel="bookmark" class="title">在Scala中定义final成员</a>
					<div>
						设计一个继承层级的某些时候,你想要确保成员不被子类重载.Scala里和Java里一样,通过添加 final修饰符给成员来做到.例如,你可以在ArrayElement的demo方法前放一个final修饰 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB24Kdb.html" rel="bookmark" class="title">Web前端优化最佳实践之Cookie篇</a>
					<div>
						Web 前端优化最佳实践第三部分面向 Cookie .目前只有 2 条实践规则. 1. 缩小 Cookie (Reduce Cookie Size) Cookie 是个很有趣的话题.根据 RFC 21 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze4jmAp.html" rel="bookmark" class="title">详解using backup controlfile</a>
					<div>
						using backup controlfile 通常用于恢复由于当前控制文件丢失且原来备份的控制文件较当前发生变化的情形之下.using backup controlfile 的 recover 方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXBXx4b.html" rel="bookmark" class="title">什么是ipv9协议&comma;ipv9协议是什么意思&quest;</a>
					<div>
						什么是ipv9协议,ipv9协议是什么意思? 根据&lt;采用全数字码给上网的计算机分配地址的方法&gt;发明专利实施并发展而成的&quot;十进制网络&quot;采用的是自主知识产权.以十进制算法( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxWEZ7b.html" rel="bookmark" class="title">25款极简主义风格的摄影作品网页</a>
					<div>
						  NORDCIA Trigger Shoots Thomas Steibl Radny &amp; Erin Kinderfotografie Evi Hermans Mickey Shannon  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr3Eqxp.html" rel="bookmark" class="title">新浪微博&OpenCurlyDoubleQuote;我的影响力&rdquo;的构成、更新及查看</a>
					<div>
						  一.什么是影响力? 影响力顾名思义,即衡量一个帐号每天在微博江湖中影响力大小的数字,它可以通过您的发微博情况.被评论.转发的情况以及活跃粉丝的数量来综合评定一个账号的影响力大小.也就是说,粉丝将不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bamlDqb.html" rel="bookmark" class="title">新站优化细节和事项</a>
					<div>
						选择关键词 这第一步非常重要,可以说后期结果怎样和这一步有至关重要的关联,选择关键词包括选择目标关键词,相关关键词和长尾关键词.关键词的选择把握不好,基本上一个网站到后期也就废了,很难做好.而且关键词 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwxKmRb.html" rel="bookmark" class="title">分析型数据库实时写入功能全面开放</a>
					<div>
						阿里云分析型数据库为客户提供了百亿级海量数据下的毫秒级OLAP查询与分析能力.除了可以通过内建API.阿里云数据集成等途径方便的批量导入大量数据外,分析型数据库目前开放了通过insert/delete ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPPXGDp.html" rel="bookmark" class="title">细数百度的知名开源项目</a>
					<div>
						作为国内技术领先的互联网企业,百度公司也陆续开源了不少项目.其中一些如UEditor.Tangram已经在业界非常知名.下面我们就来看看百度开源的比较有知名度的项目有哪些: 1. 百度超级搜霸(现为  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5N6WDz.html" rel="bookmark" class="title">新手提问大神，java源代码写好后该怎么用，打包成exe？还是有别的更好的方法</a>
					<div>
						问题描述 新手提问大神,java源代码写好后该怎么用,打包成exe?还是有别的更好的方法 有开发经验的大神告诉我,java源代码写好后该怎么用,打包成exe?还是有别的更好的方法,有的提到了脚本之类的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqAYKaM.html" rel="bookmark" class="title">c&plus;&plus;-小弟请教在MFC中子窗口如何获取父窗口的句柄啊</a>
					<div>
						问题描述 小弟请教在MFC中子窗口如何获取父窗口的句柄啊 比如我有个父类的Dialog类为A,还有一个子类的Dialog类为B,然后在A类的头文件中包含了B的头文件,然后在A类中生命一个B类的成员变量 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdEDkAz.html" rel="bookmark" class="title">一文读懂数据可视化</a>
					<div>
						数据可视化,是指将相对晦涩的的数据通过可视的.交互的方式进行展示,从而形象.直观地表达数据蕴含的信息和规律. 早期的数据可视化作为咨询机构.金融企业的专业工具,其应用领域较为单一,应用形态较为保守.步 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQPL8p.html" rel="bookmark" class="title">大家怎么看待编程开发文档</a>
					<div>
						问题描述 大家怎么看待编程开发文档 才学习文档的书写,感觉好长,好麻烦~不知道经验丰富的大牛们是怎么看待开发文档这个东西的? 解决方案 文档的几个基本原则(1)说明你要做什么,怎么做是代码说明的事情( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bam96nb.html" rel="bookmark" class="title">java-新手求教，freesql能够更新数据吗？</a>
					<div>
						问题描述 新手求教,freesql能够更新数据吗? 初学Java ssh,只做过用freesql进行查询的,现在要实现更新数据的功能,请教大神用freesql可以做吗?求具体方法和代码,感激不尽,在线 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrW9XWp.html" rel="bookmark" class="title">创建不用执行sudo可绿色的PostgreSQL</a>
					<div>
						创建不用执行sudo可绿色的PostgreSQL 原文键接 感谢原文作者给出的精彩方法 PostgreSQL安装的时候(仅指Linux和MacOSX),往往会安装系统目录中,这样做有几点不方便. 安装 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmK2g3b.html" rel="bookmark" class="title">计算机仿真-DNA进化过程计算机模拟仿真</a>
					<div>
						问题描述 DNA进化过程计算机模拟仿真 利用最大似然法从祖先节点一步步产生子裔节点,想知道最大似然法中的参数的值怎么确定,还有这样的最大似然法的公式该怎么改变 解决方案 这个要根据你的样本来,和程序没 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOmw4QM.html" rel="bookmark" class="title">要自动识别验证玛图片，应该看哪方面的书？图形图象？哪本书有讲？麻烦搞过这个的讲一下&grave;&grave;该怎么样学习&grave;&grave;？</a>
					<div>
						问题描述 要自动识别验证玛图片,应该看哪方面的书?图形图象?哪本书有讲?麻烦搞过这个的讲一下``该怎么样学习``?谢谢 解决方案 解决方案二:这个图片上的验证码是先产生字符串,然后画在图片上的```实 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrXD26z.html" rel="bookmark" class="title">为什么我拖拽后的控件回不去！！帮忙看下代码是什么问题！！谢谢</a>
					<div>
						问题描述 为什么我拖拽后的控件回不去!!帮忙看下代码是什么问题!!谢谢 这是JAVA代码 package com.example.test; import com.example.test1.R; i ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2RBdBb.html" rel="bookmark" class="title">java we&period;&period;&period;-一个java web应用有哪些缓存？</a>
					<div>
						问题描述 一个java web应用有哪些缓存? 一个java web应用有哪些缓存?除了代理服务器的响应缓存,详细的话还有哪些缓存? 解决方案 用户session 缓存,此外还有数据缓存来提示性能					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7ZBrdp.html" rel="bookmark" class="title">漏洞报告平台乌云停业整顿：白帽子游走于法律边界</a>
					<div>
						白帽子袁炜因在乌云网提交世纪佳缘漏洞被抓后,乌云网再一次陷入风波.不仅乌云网站无法打开,有传闻称,乌云高管也被抓. 就在昨日,乌云发布一则公告,宣布为了更好的向大家提供服务,乌云及相关服务将进行升级, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKB8db.html" rel="bookmark" class="title">《数据结构与算法：Python语言描述》一1&period;4数据结构</a>
					<div>
						1.4数据结构 从程序输入和输出的角度看,用计算机解决问题,可以看作实现某种信息表示形式的转换.如图1.5所示,把以一种形式表示的信息(输入)送给程序,通过在计算机上运行程序,产生出以另一种形式表示的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MydQN4b.html" rel="bookmark" class="title">&lbrack;android&rsqb;android命令行截图</a>
					<div>
						步骤一:   adb pull /dev/graphics/fb0 fb0         android的adb命令,按照Linux所有信息文件化的特点提取屏幕数据,即fb0文件 步骤二:   py ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkeYXOb.html" rel="bookmark" class="title">《PhoneGap精粹：构建跨平台的移动App》&mdash;&mdash;1&period;3节PhoneGap工作机制</a>
					<div>
						1.3 PhoneGap工作机制 PhoneGap精粹:构建跨平台的移动App 正如之前提到的,PhoneGap让开发人员可以使用Web技术(HTML.CSS和JavaScript)为移动设备(智能机 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNjWQ7M.html" rel="bookmark" class="title">一文读懂！达芬奇手术机器人的发展历程</a>
					<div>
						雷锋网(公众号:雷锋网)按:本文转自剪刀手雷蒙德(师云雷)的知乎专栏. 一.简介 本文描述了达芬奇手术机器人在直观手术公司早期到2009年发展的历程,也做了一个关于远程手术起源的总结,包括独特的技术趋 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkAPeEb.html" rel="bookmark" class="title">浪潮夺标北大IPv6项目推进互联网应用普及</a>
					<div>
						近日,在CNGI(中国下一代互联网)华北地区主节点--北京大学校园网的IPv6项目招标中,浪潮打造的解决方案一举夺标.本次供货的50多台浪潮NF5120.NF5220服务器,全部采用英特尔Nehale ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJqLoDp.html" rel="bookmark" class="title">阿里云CDN再降价，最高降幅21&percnt;</a>
					<div>
						尊敬的阿里云用户:   随着阿里云CDN业务规模的不断扩大,以及技术进步带来的成本下降,阿里云决定再次对CDN产品进行降价,以便让更多用户共享云计算带来的成本优势. 2015年5月22日阿里CDN产品 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr2aRVM.html" rel="bookmark" class="title">微信支付java版本之Native付款&lowbar;java</a>
					<div>
						最近工作中接触到一些关于微信支付方面的东西,看到给的DEMO都是PHP版本的,再加上微信支付文档写的确实不敢恭维,趟过不少坑之后闲下来做个总结. 一.前期准备  做微信开发首先要申请一个公共账号,申请 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.025 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
